Get the installed system software' for a specific app installation`
GET/v2/ app-installations/ {appInstallationId}/ system-software/
API version
v2
Request method
GET
Operation ID
app-get-app-installation-system-software
Request
Responses
Usage examples
- cURL
- JavaScript SDK
- PHP SDK
$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/app-installations/string/system-software?tagFilter=string
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";
const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.app.getAppInstallationSystemSoftware({
"appInstallationId": "string",
"queryParameters": {
"tagFilter": "string"
}
});
assertStatus(response, 200);
use \Mittwald\ApiClient\Generated\V2\Clients\App\GetAppInstallationSystemSoftware\GetAppInstallationSystemSoftwareRequest;
$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));
$request = (new GetAppInstallationSystemSoftwareRequest(
appInstallationId: "string"
))
->withTagFilter("string");
$response = $client->app()->getAppInstallationSystemSoftware($request);
var_dump($response->getBody();